Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
18.11.2019, 12:49:34

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
Statistiken
  • Beiträge insgesamt: 619825
  • Themen insgesamt: 50032
  • Heute online: 622
  • Am meisten online: 992
  • (17.11.2018, 20:17:55)
Benutzer Online

Autor Thema: [gelöst]   radeon hd 6970 treiber lässt sich nicht installieren  (Gelesen 1663 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

[gelöst] radeon hd 6970 treiber lässt sich nicht installieren
« am: 13.08.2016, 17:00:50 »
Hallo Mintgemeinde,
ich habe eine Ati Radeon hd 6970 Grafikkarte bekommen und eingebaut leider lässt sich der Treiber von http://support.amd.com/de-de/download nicht installieren.

Mein OS Linux Mint 18 'Sarah' Mate 64-bit

Meldung:
error: Detected X Server version 'XServer 1.18.3_64a' is not supported. Supported versions are X.Org 6.9 or later, up to XServer 1.10 (default:v2:x86_64:lib32:XServer 1.18.3_64a:none:4.4.0-31-generic:)
Installation will not proceed.

Removing temporary directory: fglrx-install.kI9f5Y

ich hab auch schon sudo apt-get update und sudo apt-get dist-upgrade  gemacht,
dann kam:

Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
Das folgende Paket wurde automatisch installiert und wird nicht mehr benötigt:
  xserver-xorg-legacy
Verwenden Sie »sudo apt autoremove«, um es zu entfernen.
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.

Mit Autoremove den xserver-xorg-legac dann entfernt und nochmals probiert:

sh ./amd-driver-installer-14.201.1009-x86.x86_64.run

mit gleichem Ergebnis wie oben beschrieben.

Zudem:
lspci -nnk | grep -i VGA -A2
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Cayman XT [Radeon HD 6970] [1002:6718]
Subsystem: Advanced Micro Devices, Inc. [AMD/ATI] Cayman XT [Radeon HD 6970] [1002:0b00]
Kernel driver in use: radeon

Über die Systemsteuerung mit Treiberverwaltung wird gar nichts angezeigt, das man für die Graka installieren könnte.

Könnt Ihr mir da helfen?

Gruß
Knurps
« Letzte Änderung: 14.08.2016, 20:04:38 von Knurps »

Re: radeon hd 6970 treiber lässt sich nicht installieren
« Antwort #1 am: 13.08.2016, 18:03:27 »
Linux Mint bringt einen Radeon Treiber schon mit, schau mal welche Version bei dir läuft:
glxinfo | grep 'OpenGL version string'

Re: radeon hd 6970 treiber lässt sich nicht installieren
« Antwort #2 am: 13.08.2016, 18:14:42 »
Hallo peter_deister,
Danke für Deine rasche Antwort!

ich hab auch schon danach geschaut aber dann kommt das:

glxinfo | grep 'OpenGL version string'
Error: couldn't find RGB GLX visual or fbconfig

oder das:
glxinfo | grep rendering
Error: couldn't find RGB GLX visual or fbconfig

und das:

glxgears
Error: couldn't get an RGB, Double-buffered visual


sudo apt-get install mesa-utils
bringt:
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
»mesa-utils« ist bereits die neuste Version (8.3.0-1).
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.

Auch kann ich z.b. Flightgear gar nicht mehr starten oder Tuxcart.



Re: radeon hd 6970 treiber lässt sich nicht installieren
« Antwort #3 am: 13.08.2016, 18:24:31 »
ich habe eine Ati Radeon hd 6970 Grafikkarte bekommen und eingebaut
Was war vorher drin und welcher Treiber lief?

Re: radeon hd 6970 treiber lässt sich nicht installieren
« Antwort #4 am: 13.08.2016, 18:34:15 »
Vorher hatte ich eine       
Palit GeForce GTX 460 1 GB GDDR5

Die hatte aber eine Macke und gab bei größerer Belastung nur noch große Quadrate und das ganze System hängte sich auf.

Der Treiber war in der Treiberverwaltung ich hatte den empfohlenen ausgewählt.

Re: radeon hd 6970 treiber lässt sich nicht installieren
« Antwort #5 am: 13.08.2016, 18:41:27 »
Vor dem Wechsel hättest du den freien Nouveau aktivieren müssen. Dann hätte es besser geklappt.
Zeige mal bitte
dpkg -l fglrx* und auch
dpkg -l nvidia*
LM 18 basiert auf Ubuntu 16.04, und dieses unterstützt keinen fglrx Herstellertreiber mehr.

Re: radeon hd 6970 treiber lässt sich nicht installieren
« Antwort #6 am: 13.08.2016, 18:46:36 »
Da kommt das.


Gewünscht=Unbekannt/Installieren/R=Entfernen/P=Vollständig Löschen/Halten
| Status=Nicht/Installiert/Config/U=Entpackt/halb konFiguriert/
         Halb installiert/Trigger erWartet/Trigger anhängig
|/ Fehler?=(kein)/R=Neuinstallation notwendig (Status, Fehler: GROSS=schlecht)
||/ Name           Version      Architektur  Beschreibung
+++-==============-============-============-=================================
un  fglrx-glx      <keine>      <keine>      (keine Beschreibung vorhanden)




Gewünscht=Unbekannt/Installieren/R=Entfernen/P=Vollständig Löschen/Halten
| Status=Nicht/Installiert/Config/U=Entpackt/halb konFiguriert/
         Halb installiert/Trigger erWartet/Trigger anhängig
|/ Fehler?=(kein)/R=Neuinstallation notwendig (Status, Fehler: GROSS=schlecht)
||/ Name           Version      Architektur  Beschreibung
+++-==============-============-============-=================================
rc  nvidia-304     304.131-0ubu amd64        NVIDIA legacy binary driver - ver
rc  nvidia-304-upd 304.131-0ubu amd64        NVIDIA legacy binary driver - ver
rc  nvidia-340     340.96-0ubun amd64        NVIDIA binary driver - version 34
rc  nvidia-358     358.16-0ubun amd64        NVIDIA binary driver - version 35
rc  nvidia-361     361.45.18-0u amd64        NVIDIA binary driver - version 36
rc  nvidia-364     364.19-0ubun amd64        NVIDIA binary driver - version 36
ii  nvidia-367     367.35-0ubun amd64        NVIDIA binary driver - version 36
un  nvidia-common  <keine>      <keine>      (keine Beschreibung vorhanden)
un  nvidia-driver- <keine>      <keine>      (keine Beschreibung vorhanden)
un  nvidia-libopen <keine>      <keine>      (keine Beschreibung vorhanden)
un  nvidia-libopen <keine>      <keine>      (keine Beschreibung vorhanden)
un  nvidia-libopen <keine>      <keine>      (keine Beschreibung vorhanden)
un  nvidia-libopen <keine>      <keine>      (keine Beschreibung vorhanden)
un  nvidia-libopen <keine>      <keine>      (keine Beschreibung vorhanden)
un  nvidia-libopen <keine>      <keine>      (keine Beschreibung vorhanden)
un  nvidia-libopen <keine>      <keine>      (keine Beschreibung vorhanden)
un  nvidia-opencl- <keine>      <keine>      (keine Beschreibung vorhanden)
un  nvidia-opencl- <keine>      <keine>      (keine Beschreibung vorhanden)
rc  nvidia-opencl- 304.131-0ubu amd64        NVIDIA OpenCL ICD
rc  nvidia-opencl- 340.96-0ubun amd64        NVIDIA OpenCL ICD
rc  nvidia-opencl- 358.16-0ubun amd64        NVIDIA OpenCL ICD
rc  nvidia-opencl- 361.45.18-0u amd64        NVIDIA OpenCL ICD
rc  nvidia-opencl- 364.19-0ubun amd64        NVIDIA OpenCL ICD
ii  nvidia-opencl- 367.35-0ubun amd64        NVIDIA OpenCL ICD
un  nvidia-persist <keine>      <keine>      (keine Beschreibung vorhanden)
ii  nvidia-prime   0.8.2linuxmi amd64        Tools to enable NVIDIA's Prime
ii  nvidia-prime-a 1.0.4        all          An applet for NVIDIA Prime
ii  nvidia-setting 367.35-0ubun amd64        Tool for configuring the NVIDIA g
un  nvidia-setting <keine>      <keine>      (keine Beschreibung vorhanden)

Ich könnte versuchen über den recoverymodus den Nouveau zu laden, wenn das was bringt.

Re: radeon hd 6970 treiber lässt sich nicht installieren
« Antwort #7 am: 13.08.2016, 19:06:53 »
Mache mal besser
sudo apt remove nvidia* -purgeUnd dann Neustart.

Re: radeon hd 6970 treiber lässt sich nicht installieren
« Antwort #8 am: 13.08.2016, 19:11:15 »
sudo apt remove nvidia* -purge
[sudo] Passwort für eugen:
E: Command line option 'p' [from -purge] is not understood in combination with the other options.

Ist der befehl falsch? habs muß --purge sein!

Re: radeon hd 6970 treiber lässt sich nicht installieren
« Antwort #9 am: 13.08.2016, 19:20:45 »
Die letzten ausgaben sind:


dpkg -l fglrx*
Gewünscht=Unbekannt/Installieren/R=Entfernen/P=Vollständig Löschen/Halten
| Status=Nicht/Installiert/Config/U=Entpackt/halb konFiguriert/
         Halb installiert/Trigger erWartet/Trigger anhängig
|/ Fehler?=(kein)/R=Neuinstallation notwendig (Status, Fehler: GROSS=schlecht)
||/ Name           Version      Architektur  Beschreibung
+++-==============-============-============-=================================
un  fglrx-glx      <keine>      <keine>      (keine Beschreibung vorhanden)
eugen@eugen ~ $ fglrxinfo
fglrxinfo: Befehl nicht gefunden.
eugen@eugen ~ $ glxinfo | grep rendering
direct rendering: Yes
eugen@eugen ~ $ glxinfo | grep 'OpenGL version string'
OpenGL version string: 3.0 Mesa 11.2.0
eugen@eugen ~ $ glxgears
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.
301 frames in 5.0 seconds = 60.044 FPS
301 frames in 5.0 seconds = 60.003 FPS
301 frames in 5.0 seconds = 60.002 FPS
Sind das für die gute Karte ausreichende Werte?

Die Spiele laufen zumindest, jedoch bläst die Karte unglaublich, als ob sie nicht richtig eingerichtet wäre.
« Letzte Änderung: 13.08.2016, 19:29:16 von Knurps »

Re: radeon hd 6970 treiber lässt sich nicht installieren
« Antwort #10 am: 13.08.2016, 19:41:11 »
Sorry, ein kleines -  vergessen.
Der radeon Treiber ist funktional, dass ist ja schon mal was. Aber er ist sicher nicht optimal hinsichtlich der Leistung.
Wenn du den besseren fglrx nutzen willst, musst du auf  17.x zurück derzeit.

Re: radeon hd 6970 treiber lässt sich nicht installieren
« Antwort #11 am: 13.08.2016, 19:43:42 »
Ja Danke für Deine Hilfe, es läuft jetzt alles.
Aber die Leistung ist glaube ich sehr Mager, gibt es da gar keine Möglichkeit, mehr aus der Karte zu holen?

Weiß noch jemand etwas? Außer auf 17 zurück zugehen?

Re: radeon hd 6970 treiber lässt sich nicht installieren
« Antwort #12 am: 13.08.2016, 20:38:39 »
Zitat
Weiß noch jemand etwas? Außer auf 17 zurück zugehen?
Abwarten und hoffen

Zitat
AMD-Mitarbeiter haben aber vage angedeutet, Support für den X-Server 1.18 womöglich im Verlauf des Jahres noch nachzurüsten.

http://www.heise.de/open/meldung/AMD-Linux-Alter-Treiber-wird-aufgegeben-neuer-bringt-Vulkan-Support-3145276.html

Die Situation erscheint mir zur Zeit ziemlich unübersichtlich..

Re: radeon hd 6970 treiber lässt sich nicht installieren
« Antwort #13 am: 13.08.2016, 20:59:21 »
Hmm tja sieht so aus, als ob da nichts anderes bleibt als zu warten.

Danke atze für den Link zum Artikel!

Oder doch nochmal nach einer anderen Karte schauen.
Dann stellt sich gleich die nächste Frage welche Karte mit einiger Leistung wäre langfristig überhaupt sinnvoll?

Re: radeon hd 6970 treiber lässt sich nicht installieren
« Antwort #14 am: 13.08.2016, 21:51:59 »
ob der fglrx wirklich besser ist als der radeon sei mal dahingestellt, da liest man auch gegenteilige Kommentare.
Aber Radeon HD 6000er-Hardware wird wohl nie unterstützt werden von der neuen Treibergeneration (amdgpu und der darauf aufsetzenden amdgpu-pro). Die gibt es nur für GCN https://en.wikipedia.org/wiki/Graphics_Core_Next